aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-old-make-cmake-qmake.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/common/include-old-make-cmake-qmake.sh')
-rw-r--r--jjb/common/include-old-make-cmake-qmake.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/jjb/common/include-old-make-cmake-qmake.sh b/jjb/common/include-old-make-cmake-qmake.sh
new file mode 100644
index 00000000..50d2d725
--- /dev/null
+++ b/jjb/common/include-old-make-cmake-qmake.sh
@@ -0,0 +1,40 @@
+ ######################################################################
+ # /!\/!\/!\ DEPRECATED FALLBACK WAY TO BUILD AGL APPS /!\/!\/!\ #
+ ######################################################################
+
+ export isCMAKE=0
+ export isMAKE=0
+ export isQMAKE=0
+
+ if test x"0" = x"$DONE" -a -f CMakeLists.txt; then
+ echo "DEBUG: fallback to cmake."
+ rm -rf build || true
+ mkdir build
+ pushd build
+ cmake ../
+ make
+ popd
+ export isCMAKE=1
+ export DONE=1
+ fi
+ if test x"0" = x"$DONE" -a -f Makefile ; then
+ echo "DEBUG: fallback to make"
+ make
+ echo "DEBUG: make package"
+ make package
+ export isMAKE=1
+ export DONE=1
+ fi
+ if test x"0" = x"$DONE" -a -f ${MYPROJECT}.pro; then
+ echo "DEBUG: fallback to qmake"
+ qmake
+ echo "DEBUG: qmake: make"
+ make
+ echo "DEBUG: qmake: make package"
+ make package
+ export isQMAKE=1
+ export DONE=1
+ fi
+ ######################################################################
+ # /!\/!\/!\ Ends Here /!\/!\/!\ #
+ ######################################################################